Subject: Re: for newbs = little exercise / tutorial / warmup for windows and other non-sophisticated new Git users :-)

From: "Zorba" <[email-masked]>
Date: Tue, 30 Dec 2008 21:39:41 -0000

Thnks for reviewing !

"Jeff Whiteside" <[email-masked]> wrote in message 
news:[email-masked]...
>> commit -a detects that files have been deleted, and takes them out of the 
>> index !
>> could also have used $ git rm <specific files> and then $ git commit ..
>
> hey! i like your changes! the post is pretty polished now.  the only
> thing else i would change (srysry), is the above.  "-a detects that
> files have been deleted"  -> heh, not true.  you don't need -a here;
> it does something else.

** haven't had time to review this but from what you say it looks like I 
forgot to take this out

> okay i just recreated your repo and did the same thing.  with your
> syntax "git checkout versionA ." i got the same result, and i'm not
> sure why, but i think it was because of the detached head.

** at Yves' (demerphq) request I reproduced and posted the exact sequence of 
commands
this was from a reboot, going straight into git bash and running the warmup 
with NO git-resets at all

> good news, use "git checkout versionA", not "git checkout versionA ."
> (so, use it wihtout the dot), and you should be back in working order.

** yes but I don't get the files copied out into the tree which is all my 
little heart ever desired

> the other (good?)  news is that you probably _do_ want to be using git
> reset --hard in your case, because you're trying to build up a history
> from some project, so you do want to erase some faulty commits after
> you bodge something or miss some files.

** yes, now I know that git-reset is only for destruction, not navigation

> the bad news is that my opinion is that you should probably move on
> with your life, because my own past tells me that you'll never
> actually use those old project versions, hahah :p

** LOL, I have to admit I am enjoying this though, even if its driving me 
slightly potty - haha
I didn't write these early versions so I just wanna have them around to 
rollback to if I end up hacking the thing to bits.
But you're right - chances of using are slim - but you could say that about 
every version sitting in any given SCM repo.
Thats why we have SCM, and why we insure our cars etc etc. :-)